> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves details for a parking

> Retrieves details for a parking. Required permission: assets:parking:read



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/parking/{id}
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/parking/{id}:
    get:
      tags:
        - Parking
      summary: Retrieves details for a parking
      description: >-
        Retrieves details for a parking. Required permission:
        assets:parking:read
      operationId: /api/v1/assets/parking/{id}_GET
      parameters:
        - name: id
          in: path
          description: ID of the parking
          required: true
          schema:
            type: integer
            format: int32
            description: ID of the parking
      responses:
        '200':
          description: Parking details
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - parking
                properties:
                  parking:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Parking id
                      created_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of creation
                      modification_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of Modification
                      uuid:
                        type: string
                        maxLength: 36
                        description: Uuid
                      location_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Location id
                      physical_reference:
                        type: string
                        maxLength: 12
                        description: Physical reference/Name
                      max_vehicle_weight_kg:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Maximum vehicle weight in kg
                      max_vehicle_height_cm:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Maximum vehicle height in cm
                      max_vehicle_length_cm:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Maximum vehicle length in cm
                      max_vehicle_width_cm:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Maximum vehicle width in cm
                      dangerous_goods_allowed:
                        type: boolean
                        default: false
                        description: Dangerous goods allowed
                      drive_through:
                        type: boolean
                        default: false
                        description: Drive through
                      restricted_to_type:
                        type: boolean
                        default: false
                        description: Restricted to type
                      reservation_required:
                        type: boolean
                        default: false
                        description: Reservation required
                      time_limit_minutes:
                        type: integer
                        format: int32
                        description: Time limit in minutes
                      roofed:
                        type: boolean
                        default: false
                        description: Roofed
                      lighting:
                        type: boolean
                        default: false
                        description: Lighting
                      vehicle_type:
                        type: array
                        items:
                          type: object
                          properties:
                            vehicle_type:
                              type: string
                              description: vehicle type
                        description: vehicle type
                      parking_direction:
                        type: string
                        enum:
                          - PARALLEL
                          - PERPENDICULAR
                          - ANGLE
                        description: Parking direction
                      chargepoints:
                        type: array
                        items:
                          type: object
                          properties:
                            chargepoints:
                              type: string
                              maxLength: 36
                              description: Chargepoints
                          required:
                            - chargepoints
                        description: Chargepoint
                    required:
                      - id
                      - created_at
                      - modification_date
                      - uuid
                      - location_id
                      - physical_reference
                      - max_vehicle_weight_kg
                      - max_vehicle_height_cm
                      - max_vehicle_length_cm
                      - max_vehicle_width_cm
                      - parking_direction
                    description: Parking
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:parking
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves details for a chargepoint](/api-reference/chargepoints/retrieves-details-for-a-chargepoint.md)
- [Retrieves parking](/api-reference/parking/retrieves-parking.md)
- [Retrieves details for a station](/api-reference/stations/retrieves-details-for-a-station.md)
